
-- 供应商信息表  新增供应商分级、结算方式、账单周期天数、采购对接人、到货天数、发票类型、合同附件
ALTER TABLE jsh_supplier
ADD COLUMN supplier_level VARCHAR(255) DEFAULT '' COMMENT '供应商分级',
ADD COLUMN settlement_method VARCHAR(1) DEFAULT '' COMMENT '结算方式（0-周结, 1-现结/按单, 2-预付款, 3-月结）',
ADD COLUMN billing_cycle_days INT DEFAULT NULL COMMENT '账单周期天数（单位：天）',
ADD COLUMN procurement_contact VARCHAR(100) DEFAULT '' COMMENT '采购对接人姓名',
ADD COLUMN delivery_days INT DEFAULT NULL COMMENT '到货天数（单位：天）',
ADD COLUMN invoice_type VARCHAR(1)  DEFAULT '' COMMENT '发票类型：0-普通发票, 1-增值税专用发票',
ADD COLUMN contract_upload VARCHAR(1000) DEFAULT '' COMMENT '合同附件存储路径';


-- 产品信息表  新增系统sku、无动销提醒周期
ALTER TABLE jsh_material
ADD COLUMN system_sku VARCHAR(50) DEFAULT '' COMMENT '系统sku',
ADD COLUMN moving_pin_reminder_cycle VARCHAR(20) DEFAULT '' COMMENT '无动销提醒周期';

-- 产品信息表  删除制造商、保质期天数、仓位货架
ALTER TABLE jsh_material
DROP mfrs,
DROP expiry_num,
DROP position;

-- 产品价格扩展信息表  新增生产日期、保质期天数、供应商id、批次号、库存、仓库id、仓位货架
ALTER TABLE jsh_material_extend
ADD COLUMN production_date DATE DEFAULT NULL COMMENT '生产日期',
ADD COLUMN expiry_num INT DEFAULT NULL COMMENT '保质期天数',
ADD COLUMN supplier_id BIGINT DEFAULT NULL COMMENT '供应商id',
ADD COLUMN batch_number VARCHAR(255) DEFAULT '' COMMENT '批次号',
ADD COLUMN inventory DECIMAL(24,6) DEFAULT NULL COMMENT '库存',
ADD COLUMN depot_id BIGINT DEFAULT NULL COMMENT '仓库id',
ADD COLUMN position VARCHAR(255) DEFAULT '' COMMENT '仓位货架';

-- 单据主表  新增凭证图片
ALTER TABLE jsh_depot_head
ADD COLUMN voucher_picture VARCHAR(255) DEFAULT '' COMMENT '凭证图片';

-- 单据子表  新增实际出入库数量、出入库差异、出入库差异原因、出入库操作用户、出入库时间
ALTER TABLE jsh_depot_item
ADD COLUMN actual_quantity_in_storage DECIMAL(24,6) DEFAULT NULL COMMENT '实际出入库数量',
ADD COLUMN warehousing_variance DECIMAL(24,6) DEFAULT NULL COMMENT '出入库差异',
ADD COLUMN reason_of_difference VARCHAR(255) DEFAULT '' COMMENT '出入库差异原因',
ADD COLUMN warehousing_user BIGINT DEFAULT NULL COMMENT '出入库操作用户',
ADD COLUMN warehousing_time DATE DEFAULT NULL COMMENT '出入库时间';

-- 修改产品类型编码为BIGINT
ALTER TABLE jsh_material_category MODIFY COLUMN serial_no BIGINT;

